/*

Import Data Sets

*/

%let homedir=C:\HOW\kincaid_Interm Presentation;
%let datadir=&homedir.\data;

/*

Data provided by The Guardian

http://www.theguardian.com/news/datablog/interactive/2013/jan/14/all-our-datasets-index

*/

proc import out=work.who
 datafile="&datadir.\Doctor Who villains_monsters since 1963_TELEVISED VILLAINS.xlsx" 
 replace
 DBMS = excelcs ;
run;

data who;
    set who(where=(episodes >= 14));
    label year_first="First Aired" year_last="Last Aired"
            Doc__no_="Doctor #";
    rename Doc__no_=Doctor_numbers;            
run;

data villains;
    length villain $ 151 url $ 60 url2 $ 48;
    input villain $ 1-27 url $ 29-82 url2 $ 85-132 ;
    cards;
Daleks                      http://tardis.wikia.com/wiki/Daleks                     C:\HOW\kincaid\images\daleks.png
The Master                  http://tardis.wikia.com/wiki/The_Master                 C:\HOW\kincaid\images\The Master.jpg
Dalek Supreme               http://tardis.wikia.com/wiki/Supreme_Dalek              C:\HOW\kincaid\images\Dalek Supreme.jpg
Cybermen                    http://tardis.wikia.com/wiki/Cybermen                   C:\HOW\kincaid\images\cybermen.png
Ice Warriors                http://tardis.wikia.com/wiki/Ice_Warrior                C:\HOW\kincaid\images\Ice Warriors.png
Davros                      http://tardis.wikia.com/wiki/Davros                     C:\HOW\kincaid\images\davros.png
Sontarans                   http://tardis.wikia.com/wiki/Sontarans                  C:\HOW\kincaid\images\sontarans.png
The Black Guardian          http://tardis.wikia.com/wiki/Black_Guardian             C:\HOW\kincaid\images\The Black Guardian.png
The Valeyard                http://tardis.wikia.com/wiki/The_Valeyard               C:\HOW\kincaid\images\The Valeyard.png
Silurians                   http://tardis.wikia.com/wiki/Silurians                  C:\HOW\kincaid\images\silurians.png
Mortimus                    http://tardis.wikia.com/wiki/Mortimus                   C:\HOW\kincaid\images\mortimus.png
The Great Intelligence      http://tardis.wikia.com/wiki/Great_Intelligence         C:\HOW\kincaid\images\The Great Intelligence.png
Cybermat                    http://tardis.wikia.com/wiki/Cybermat                   C:\HOW\kincaid\images\cybermat.jpg
Borusa                      http://tardis.wikia.com/wiki/Borusa                     C:\HOW\kincaid\images\Borusa.jpg
Cyber-leader                http://tardis.wikia.com/wiki/Cyber-Leader_%28Mondas%29  C:\HOW\kincaid\images\Cyber-leader.jpg
Goth                        http://tardis.wikia.com/wiki/Goth                       C:\HOW\kincaid\images\Goth.png
;;
run;

proc sort data=who;
    by villain;
run;

proc sort data=villains;
    by villain;
run;

data who;
    merge who villains;
    by villain;
run;

data who14;
	set who(where=(episodes >=14));
run;

/*

Data provided by The Guardian

http://www.theguardian.com/news/datablog/interactive/2013/jan/14/all-our-datasets-index

*/

proc import out=work.nasa
 datafile="&datadir.\Nasa spending 1958 to now.xlsx"
 replace
 DBMS = excelcs ;
 range = "SPENDING BY YEAR$";
run;

data nasa;
    set nasa end=last;    
    label NASA_outlay="NASA Federal Outlay ($m)"
        Total_spending="Total US Federal Spending ($m)"
        Percent="NASA as % of US Spending"
        num_missions = "Number of Missions";
    format NASA_outlay Total_spending DOLLAR5.0;
run;

proc sort data=nasa;
    by program year;
run;

data nasa;
    set nasa;
    by program;
    if first.program then pgm=program;
        else pgm = "";
run;

proc sort data=nasa;
    by year;
run;

/*

Data provided by and used with permission of Derek S. Young.

http://chance.amstat.org/2014/04/james-bond/

*/

data bond;
    infile "&datadir.\Bond James Bond Updated Data.txt" firstobs=2 dlm='09'x;
    length movie $31. bond $14.;
    input   Year	Movie $	Bond $ US_Gross	US_Adj	
            World_Gross	World_Adj	Budget	Budget_Adj	Film_Length	
            Avg_User_IMDB	Avg_User_Rtn_Tom	Conquests	
            Martinis	BJB	Kills_Bond	Kills_Others	Top_100;
run;

data bond;
  set bond(drop=conquests);
  label Year="Year Movie Released"
        Movie="Movie Title"
        Bond="Actor"
        US_Gross="US Gross Box Office ($)"
        US_Adj="US Adjusted Box Office ($)"
        World_Gross="World Gross Box Office ($)"
        World_Adj="World Adjusted Box Office ($)"
        Budget="Film's Budget"
        Budget_Adj="Film's Adjusted Budget"
        Film_Length="Length of Film"
        Avg_User_IMDB="Average IMDB Rating"
        Avg_User_Rtn_Tom="Average Rotten Tomatoes Rating"
        Martinis="Number of Martinis Drunk"
        BJB="Number of times 'Bond, James Bond' is said"
        Kills_Bond="Number of kills by Bond"
        Kills_Others="Number of kills by others"
        Top_100="In Top 100 Films"
        ;
  if (bond="George Lazenby") then delete;
run;

proc sort data=bond;
    by year;
run;

